$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.24.12.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.24.12.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '7D722DD81F6A0DF3AABF848D6306201420A1D38198C99AC1C7DBC8C8B4E23238'
  checksumType = 'sha256'
  checksum64 = '7D722DD81F6A0DF3AABF848D6306201420A1D38198C99AC1C7DBC8C8B4E23238'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.24.12-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
